---
- debug:
    msg: 'Creating thin pools!'


- name: Create a volume group on single disks
  become: yes
  lvg:
    vg: '{{external.enclosure_1.pool}}'
    pvs: '/dev/disk/by-{{external.enclosure_1.by}}/{{external.enclosure_1.uuid}}'
    pesize: 128K

- name: Create a thin pool of 100%
  become: yes
  lvol:
    vg: '{{external.enclosure_1.pool}}'
    thinpool: 'thin-{{external.enclosure_1.pool}}'
    size: '100%FREE'
    shrink: no  # Makes idempotent!
